



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>图像分类之特征学习ECCV-2010 Tutorial: Feature Learning for Image Classification</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">图像分类之特征学习ECCV-2010 Tutorial: Feature Learning for Image Classification</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-20 11:42:50 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<div>
<table>
<tbody>
<tr>
<td>
<h1>ECCV-2010 Tutorial: Feature Learning for Image Classification</h1>
</td>
</tr>
</tbody>
</table>
</div>
<div>
<h3>Organizers</h3>
<p><a href="http://www.dbs.informatik.uni-muenchen.de/~yu_k/" rel="external nofollow noreferrer">Kai Yu</a>&nbsp;(NEC Laboratories America, kyu@sv.nec-labs.com),</p>
<p><a href="http://ai.stanford.edu/~ang/" rel="external nofollow noreferrer">Andrew Ng</a>&nbsp;(Stanford&nbsp;University,&nbsp;ang@cs.stanford.edu)</p>
<p><strong>Place &amp; Time:</strong>&nbsp;Creta&nbsp;Maris&nbsp;Hotel,&nbsp;Crete,&nbsp;Greece, 9:00 &ndash; 13:00, September 5th, 2010</p>
<table>
<tbody>
<tr>
<td>
<h2>Course Material and Software</h2>
</td>
</tr>
</tbody>
</table>
<p>The quality of visual features is crucial for a wide range of computer vision topics, e.g., scene classification, object recognition, and object detection, which are very popular in recent computer vision venues. All these image classification tasks have traditionally relied on hand-crafted features to try to capture the essence of different visual patterns. Fundamentally, a long-term goal in AI research is to build intelligent systems that can automatically learn meaningful feature representations from a massive amount of image data. We believe a comprehensive coverage of the latest advances on image feature learning will be of broad interest to ECCV attendees.</p>
<p>The primary objective of this tutorial is to introduce a paradigm of feature learning from unlabeled images, with an emphasis on applications to supervised image classification. We provide a comprehensive coverage of recently developed algorithms for learning powerful sparse nonlinear features, and showcase their superior performance on a number of challenging image classification benchmarks, including Caltech101, PASCAL, and the recent large-scale problem&nbsp;ImageNet. Furthermore, we describe deep learning and a variety of deep learning algorithms, which learn rich feature hierarchies from unlabeled data and can capture complex invariance in visual patterns.</p>
<table>
<tbody>
<tr>
<td>
<h2>Syllabus</h2>
</td>
</tr>
</tbody>
</table>
<ul><li><strong>Overview:&nbsp;</strong>Image Classification Overview</li></ul>
<ul><li><strong>Part I:&nbsp;</strong>State-of-the-art Image Classification Methods</li></ul>
<ul><ul><li>Discriminative Classifiers using&nbsp;BoW&nbsp;Representation and Spatial Pyramid Matching</li>
<li>Alternative Methods: Generative Models and Part-based Models</li></ul></ul>
<ul><li><strong>Part II:&nbsp;</strong>Image Classification using Sparse Coding</li></ul>
<ul><ul><li>Self-taught Learning</li>
<li>BoW&nbsp;Representation from a Coding Perspective</li>
<li>Feature Learning using Sparse Coding</li>
<li>Alternative Sparse Coding Methods: Sparse RBM, Sparse&nbsp;Autoencoder, etc.</li></ul></ul>
<ul><li><strong>Part III:&nbsp;</strong>Advanced Topics on<strong>&nbsp;</strong>Image Classification using Sparse Coding</li></ul>
<ul><ul><li>Intuitions, Topic-model View, and Geometric View</li>
<li>Local Coordinate Coding: Theory and Applications</li>
<li>Recent Advances in Sparse Coding for Image Classification</li></ul></ul>
<ul><li><strong>Part IV:</strong>&nbsp;Learning Feature Hierarchies and Deep Learning</li></ul>
<ul><ul><li>Feature Hierarchies and the Importance of Depth</li>
<li>Deep Belief Networks (DBNs) and Convolution&nbsp;DBNs</li>
<li>Learning Invariance (ICA, SFA, etc.)</li>
<li>Other Deep Architectures</li>
<li>Application to Image Classification</li></ul></ul>
<ul><li><strong>Open questions and discussion</strong></li></ul>
<table>
<tbody>
<tr>
<td>
<h2>Course Material and Software</h2>
</td>
</tr>
</tbody>
</table>
<p>The slides:</p>
<ul><li>Part 0:&nbsp;<a href="http://ufldl.stanford.edu/eccv10-tutorial/eccv10_tutorial_part0.ppt" rel="external nofollow noreferrer">Introduction</a>&nbsp;(by Andrew Ng)</li>
<li>Part 1:&nbsp;<a href="http://ufldl.stanford.edu/eccv10-tutorial/eccv10_tutorial_part1.ppt" rel="external nofollow noreferrer">State-of-the-art Image Classification Methods</a>&nbsp;(by Kai Yu)</li>
<li>Part 2:&nbsp;<a href="http://ufldl.stanford.edu/eccv10-tutorial/eccv10_tutorial_part2.ppt" rel="external nofollow noreferrer">Image Classification using Sparse Coding</a>&nbsp;(by Andrew Ng)</li>
<li>Part 3:&nbsp;<a href="http://ufldl.stanford.edu/eccv10-tutorial/eccv10_tutorial_part3.ppt" rel="external nofollow noreferrer">Advanced Topics on<strong>&nbsp;</strong>Image Classification using Sparse Coding</a>&nbsp;(by Kai Yu)</li>
<li>Part 4:&nbsp;<a href="http://ufldl.stanford.edu/eccv10-tutorial/eccv10_tutorial_part4.ppt" rel="external nofollow noreferrer">Learning Feature Hierarchies and Deep Learning</a>&nbsp;(by Andrew Ng)</li></ul>
<p>Software available online:</p>
<ul><li>Matlab&nbsp;toolbox for sparse coding using the feature-sign algorithm [<a href="http://ai.stanford.edu/~hllee/softwares/nips06-sparsecoding.htm" rel="external nofollow noreferrer">link</a>]</li>
<li>Matlab&nbsp;codes for image classification using sparse coding on SIFT features [<a href="http://www.ifp.illinois.edu/~jyang29/ScSPM.htm" rel="external nofollow noreferrer">link</a>]</li>
<li>Matlab&nbsp;codes for a fast approximation to Local Coordinate Coding [<a href="http://www.ifp.illinois.edu/~jyang29/LLC.htm" rel="external nofollow noreferrer">link</a>]</li></ul>
<table>
<tbody>
<tr>
<td>
<h2>Relevant Tutorials</h2>
</td>
</tr>
</tbody>
</table>
<ul><li>CVPR-2010&nbsp;<a href="http://www.di.ens.fr/~mairal/tutorial_cvpr2010/" rel="external nofollow noreferrer">Tutorial on Sparse Coding and Dictionary Learning for Image Analysis</a>, by Francis Bach (INRIA),&nbsp;Julien&nbsp;Mairal&nbsp;(INRIA), Jean Ponce (Ecole&nbsp;Normale&nbsp;Superieure), and Guillermo&nbsp;Sapiro(University of Minnesota).</li>
<li>ICCV-2009&nbsp;<a href="http://people.csail.mit.edu/torralba/shortCourseRLOC/" rel="external nofollow noreferrer">Tutorial on Recognizing and Learning Object Categories</a>, by Li&nbsp;Fei-Fei&nbsp;(Stanford), Rob Fergus (NYU), and Antonio&nbsp;Torralba&nbsp;(MIT)</li></ul>
<div>
<table>
<tbody>
<tr>
<td>
<h2>Biographies</h2>
</td>
</tr>
</tbody>
</table>
<p><strong>Kai Yu</strong>&nbsp;is a Department Head at NEC Labs America, where he leads the research in image understanding, video surveillance, and data mining. He served as Session Chair at ICML 2009 and Area Chair at ICML 2010, and received the best paper runner-up award in PKDD-05. His team won the Winner Prizes in PASCAL VOC Challenge 2009 and the&nbsp;ImageNet&nbsp;Large-scale Visual Recognition Challenge 2010, and was among the top performers in TRECVID Video Event Detection Evaluations in 2008 and 2009. He received&nbsp;Ph.D&nbsp;in CS from&nbsp;University of Munich,&nbsp;Germany, in 2004.</p>
</div>
<div>
<p><strong>Andrew Ng</strong>&nbsp;is an Associate Professor of Computer Science at&nbsp;Stanford&nbsp;University. His research interests include machine learning, robotics, and broad-competence AI. His group has won best paper/best student paper awards at ACL, CEAS, 3DRR and ICML. He is also a recipient of the Alfred P. Sloan Fellowship, and the IJCAI 2009 Computers and Thought award.</p>
<p>from:&nbsp;http://ufldl.stanford.edu/eccv10-tutorial/</p>
</div>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/jqdp3ezq.html">sql 语句</a>
		</li>
						<li><a href="https://www.batexi.com/a/r8mlrro9.html">LeetCode&colon; Queue Reconstruction by Height</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9p7v5k9.html">口水话 闭包中this的指向</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9pz2mk8.html">Gym 100851G&Tab;Generators &lpar;vector&plus;鸽笼原理&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/8k1pk069.html">DirectX游戏编程入门</a>
		</li>
						<li><a href="https://www.batexi.com/a/95xmeyv8.html">Web性能优化之图片优化</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e1j1yz9.html">表达式语言之ongl表达式</a>
		</li>
						<li><a href="https://www.batexi.com/a/96ozjvv9.html">spoj 364</a>
		</li>
						<li><a href="https://www.batexi.com/a/95xkxdz8.html">refreshcontrol 实现下拉刷新的功能</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwjd3wy8.html">SVNKIT的low api应用之修改库中文件内容&lpar;File modification&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2j3vrv8.html">小程序server-3-搭建WebSocket 服务</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1k2dp09.html">Android开发之漫漫长途 XIII&mdash;&mdash;Fragment最佳实践</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2jlr7l8.html">Centos7 下 tty2等文字窗口的中文乱码问题分析</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdpyw5xq.html">Dubbo中编码和解码的解析</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zom5v3q.html">&period;net core 2&period;x - 日志 - to elasiticsearch</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxdpv1z9.html">Excel怎么下拉框多选</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxd1z1v9.html">asp&period;net上传文件夹</a>
		</li>
						<li><a href="https://www.batexi.com/a/902rogjq.html">update  set  where exists  多表更新 在mssql、MySQL、Oracle中分别用法</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zkkv0d8.html">Windows-DB2 9&period;7安装图解</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdjozevq.html">使用存储过程非常慢，但是直接执行SQL很快</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/8e1mp4z9.html">MySQL - 定时备份</a>
			</li>
						<li><a href="https://www.batexi.com/a/9rd4dmd8.html">EditPlus配置&lbrack;C&plus;&plus;&rsqb; &lbrack;Python&rsqb; &lbrack;Java&rsqb; 编译运行环境</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1z5zg69.html">【BZOJ】【1449】【JSOI2009】球队收益</a>
			</li>
						<li><a href="https://www.batexi.com/a/95xp0w68.html">Leetcode&num;49 Anagrams</a>
			</li>
						<li><a href="https://www.batexi.com/a/93xjy7r9.html">Hdu 1506 Largest Rectangle in a Histogram                                                    分类：            Brush Mode             2014-10-28 19&colon;16    93人阅读    评论&lpar;0&rpar;    收藏</a>
			</li>
						<li><a href="https://www.batexi.com/a/qvvdejjq.html">2014 ACM&sol;ICPC Asia Regional Xi&amp;&num;39&semi;an Online  Paint Pearls</a>
			</li>
						<li><a href="https://www.batexi.com/a/qde55w79.html">在线运行HTML代码器</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxnllgd8.html">mybatis处理查询map列表属性为null的问题，而导致查询map无该key对象</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pjmm1y9.html">Chapter 6面向对象</a>
			</li>
						<li><a href="https://www.batexi.com/a/8okdgoe9.html">OneApm，NewRelic</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
